Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Class ParameterSet.ParameterList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Parameter>
                  de.jstacs.parameters.ParameterSet.ParameterList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Parameter>, Collection<Parameter>, List<Parameter>, RandomAccess

Enclosing class:
  ParameterSet

    public class ParameterSet.ParameterList

extends ArrayList<Parameter>

Class for a `List` of `Parameter`s that basically has the same functionality as `ArrayList`, but additionally takes care of the references `Parameter.parent`.

Author:
  Jan Grau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ParameterSet.ParameterList()` Creates a new empty `ParameterSet.ParameterList`.
`ParameterSet.ParameterList(Collection<? extends Parameter> c)` Creates a new `ParameterSet.ParameterList` from an existing `Collection` of `Parameter`s.
`ParameterSet.ParameterList(int initialCapacity)` Creates a new empty `ParameterSet.ParameterList` with a defined initial capacity.

Method Summary
`void` | `add(int index, Parameter element)`
`boolean` | `add(Parameter o)`
`boolean` | `addAll(Collection<? extends Parameter> c)`
`boolean` | `addAll(int index, Collection<? extends Parameter> c)`

Methods inherited from class java.util.ArrayList
`clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ParameterSet.ParameterList

    public ParameterSet.ParameterList()

  Creates a new empty `ParameterSet.ParameterList`.

### ParameterSet.ParameterList

    public ParameterSet.ParameterList(Collection<? extends Parameter> c)

  Creates a new `ParameterSet.ParameterList` from an existing `Collection` of `Parameter`s. This may be another `ParameterSet.ParameterList`.

  Parameters:
    `c` - the `Collection` of `Parameter`s

### ParameterSet.ParameterList

    public ParameterSet.ParameterList(int initialCapacity)

  Creates a new empty `ParameterSet.ParameterList` with a defined initial capacity.

  Parameters:
    `initialCapacity` - the initial capacity of the new `ParameterSet.ParameterList`

Method Detail

### add

    public void add(int index,
                    Parameter element)

  Specified by:
    `add` in interface `List<Parameter>`
  Overrides:
    `add` in class `ArrayList<Parameter>`

### add

    public boolean add(Parameter o)

  Specified by:
    `add` in interface `Collection<Parameter>`
  Specified by:
    `add` in interface `List<Parameter>`
  Overrides:
    `add` in class `ArrayList<Parameter>`

### addAll

    public boolean addAll(Collection<? extends Parameter> c)

  Specified by:
    `addAll` in interface `Collection<Parameter>`
  Specified by:
    `addAll` in interface `List<Parameter>`
  Overrides:
    `addAll` in class `ArrayList<Parameter>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends Parameter> c)

  Specified by:
    `addAll` in interface `List<Parameter>`
  Overrides:
    `addAll` in class `ArrayList<Parameter>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD